githubEdit

Storage locations endpoints

List storage locations (search)

post

This part of the API is in Beta status. For details please check the api-release-life-cycle documentationarrow-up-right. Search for StorageLocation

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

StorageLocationSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
chevron-right
200

Your search result

application/json

StorageLocationPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post
/api/storagelocations/search

Get facility storage location

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to get the storage locations. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

storageLocationIdstringRequired

the ID of the storageLocation

Responses
chevron-right
200

Facility was found & you are allowed to get the storage locations. The result is in the body.

application/json

StorageLocation

get
/api/facilities/{facilityId}/storagelocations/{storageLocationId}

List facility storage locations

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from which you want to get the storage locations. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id})

Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
scannableCodestringOptional

limit result to storage locations with scannable code

Responses
chevron-right
200

Facility was found & you are allowed to get the storage locations. The result is in the body.

application/json

StorageLocation

get
/api/facilities/{facilityId}/storagelocations

Update facility storage location

put

Replaces the current storage locations of this Facility with the provided in the body.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from whom you want to put the storage locations

storageLocationIdstringRequired

the ID of the storageLocation

Body

StorageLocationForReplacement

Responses
chevron-right
200

Storage location was found & you were allowed to update it.

application/json

StorageLocation

put
/api/facilities/{facilityId}/storagelocations/{storageLocationId}

Create facility storage location

post

Creates a new storage location in this facility.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from whom you want to create the storage location

Body

StorageLocationForCreation

Responses
post
/api/facilities/{facilityId}/storagelocations

Update facility storage location

patch

Adds new storage locations, updates existing ones and keeps the previously present ones in the database.

  1. If a storage location exists in the patch action but not in the database it is added.

  2. If a storage location exists both in the patch action and in the database it is updated and the contents merged.

  3. If a storage location exists only in the database, it is left untouched.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to patch the storage locations

storageLocationIdstringRequired

the ID of the storageLocation

Body

StorageLocationPatchActions

versioninteger · int64Required

The version of the facility where we want to patch the storage locations to be used in optimistic locking mechanisms.

Example: 42
Responses
chevron-right
200

Storage location was found & you were allowed to update it.

application/json

StorageLocation

patch
/api/facilities/{facilityId}/storagelocations/{storageLocationId}

Delete facility storage location

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility from whom you want to delete the storage location

storageLocationIdstringRequired

ID of the storageLocation you want to delete

Responses
chevron-right
200

Storage location was found & you were allowed to delete it.

No content

delete
/api/facilities/{facilityId}/storagelocations/{storageLocationId}

No content

Get stock recommendations

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentationarrow-up-right. Get the Storage Location recommendations for a specific Stock.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
stockIdstringRequired
Responses
chevron-right
200

List of Storage Locations sorted by the stock sum ascending. The result is in the body.

application/json

StorageLocationRecommendation

stockCountnumberRequired
get
/api/stocks/{stockId}/locationrecommendations

Last updated